program phaml_master
use phaml
implicit none
type(phaml_solution_type) :: soln
call phaml_create(soln,output_unit=11)
call phaml_popen(soln,11,"test06..out")
call phaml_solve_pde(soln,                   &
                     max_vert=500,           &
                     mg_cycles=5,            &
                     print_grid_when=FINAL, &
                     print_grid_who=SLAVES  ,&
                     print_linsys_when=NEVER, &
                     print_linsys_who=SLAVES, &
                     print_header_who=SLAVES, &
                     print_trailer_who=SLAVES, &
                     print_error_when=FINAL    , &
                     print_L2_norm_error=.true., print_L2_norm_errest=.true., &
                     print_error_who=SLAVES)
call phaml_pclose(soln,11)
call phaml_destroy(soln)
end program phaml_master
